- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchDeactivate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchDeactivate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchDeactivate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchDeactivate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchDeactivate#body.response_body)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchDeactivate#body.aspect)
- [DeactivateCustomTargetingValueRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchDeactivate#DeactivateCustomTargetingValueRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchDeactivate#DeactivateCustomTargetingValueRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchDeactivate#try-it)

Deactivates a list of `CustomTargetingValue` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/customTargetingValues:batchDeactivate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of CustomTargetingValues. Format: `networks/{networkCode}/` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchDeactivate#DeactivateCustomTargetingValueRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchDeactivate#DeactivateCustomTargetingValueRequest`)`` Required. The `CustomTargetingValue` objects to deactivate. |

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## DeactivateCustomTargetingValueRequest

Request message to deactivate a CustomTargetingValue.

| JSON representation |
|---|
| ``` { "name": string } ``` |

| Fields ||
|---|---|
| `name` | `string` Required. The resource name of the CustomTargetingValue. Format: `networks/{networkCode}/customTargetingValues/{customTargetingValueId}` |